./build clamav problem debian 9 from dist-upgrade

akadi81

Verified User
Joined
Feb 26, 2015
Messages
23
Hi,

I am trying to build clamav and i got errors:
Any ideea?


In file included from ./llvm/include/llvm/PassRegistry.h:20:0,
from ./llvm/include/llvm/PassSupport.h:25,
from ./llvm/include/llvm/Pass.h:366,
from llvm/lib/Analysis/AliasAnalysis.cpp:28:
./llvm/include/llvm/ADT/StringMap.h: In static member function 'static llvm::StringMapEntry<ValueTy>* llvm::StringMapEntry<ValueTy>::Create(const char*, const char*, AllocatorTy&, InitType)':
./llvm/include/llvm/ADT/StringMap.h:170:33: error: expected primary-expression before '<' token
unsigned Alignment = alignof<StringMapEntry>();
^
./llvm/include/llvm/ADT/StringMap.h:170:26: warning: ISO C++ does not allow 'alignof' with a non-type [-Wpedantic]
unsigned Alignment = alignof<StringMapEntry>();
^~~~~~~
./llvm/include/llvm/ADT/StringMap.h:170:48: error: expected primary-expression before '>' token
unsigned Alignment = alignof<StringMapEntry>();
^
./llvm/include/llvm/ADT/StringMap.h:170:50: error: expected primary-expression before ')' token
unsigned Alignment = alignof<StringMapEntry>();
^
Makefile:2917: recipe for target 'AliasAnalysis.lo' failed
make[5]: *** [AliasAnalysis.lo] Error 1
In file included from bytecode2llvm.cpp:69:0:
./llvm/include/llvm/Support/CommandLine.h: In member function 'void llvm::cl::alias::done()':
./llvm/include/llvm/Support/CommandLine.h:1326:5: warning: this 'if' clause does not guard... [-Wmisleading-indentation]
if (AliasFor == 0)
^~
./llvm/include/llvm/Support/CommandLine.h:1328:7: note: ...this statement, but the latter is misleadingly indented as if it is guarded by the 'if'
addArgument();
^~~~~~~~~~~
In file included from ClamBCRTChecks.cpp:59:0:
./llvm/include/llvm/Support/CommandLine.h: In member function 'void llvm::cl::alias::done()':
./llvm/include/llvm/Support/CommandLine.h:1326:5: warning: this 'if' clause does not guard... [-Wmisleading-indentation]
if (AliasFor == 0)
^~
./llvm/include/llvm/Support/CommandLine.h:1328:7: note: ...this statement, but the latter is misleadingly indented as if it is guarded by the 'if'
addArgument();
^~~~~~~~~~~
bytecode2llvm.cpp: In function 'void setGuard(unsigned char*)':
bytecode2llvm.cpp:2432:49: warning: ISO C++ forbids converting a string constant to 'char*' [-Wpedantic]
cl_hash_data("md5", salt, 48, guardbuf, NULL);
^
Makefile:2077: recipe for target 'libclamavcxx_la-ClamBCRTChecks.lo' failed
make[5]: *** [libclamavcxx_la-ClamBCRTChecks.lo] Error 1
Makefile:2070: recipe for target 'libclamavcxx_la-bytecode2llvm.lo' failed
make[5]: *** [libclamavcxx_la-bytecode2llvm.lo] Error 1
make[5]: Leaving directory '/usr/local/directadmin/custombuild/clamav-0.99.3/libclamav/c++'
Makefile:1469: recipe for target 'all' failed
make[4]: *** [all] Error 2
make[4]: Leaving directory '/usr/local/directadmin/custombuild/clamav-0.99.3/libclamav/c++'
Makefile:3376: recipe for target 'all-recursive' failed
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory '/usr/local/directadmin/custombuild/clamav-0.99.3/libclamav'
Makefile:1089: recipe for target 'all' failed
make[2]: *** [all] Error 2
make[2]: Leaving directory '/usr/local/directadmin/custombuild/clamav-0.99.3/libclamav'
Makefile:675: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/usr/local/directadmin/custombuild/clamav-0.99.3'
Makefile:503: recipe for target 'all' failed
make: *** [all] Error 2

*** The make has failed, do you want to try to make again? (y,n):
-------------------------------------------------------------------------------------------------------
openssl verion:

OpenSSL 1.1.0f 25 May 2017
built on: reproducible build, date unspecified
platform: debian-amd64
options: bn(64,64) rc4(16x,int) des(int) blowfish(ptr)
compiler: gcc -DDSO_DLFCN -DHAVE_DLFCN_H -DNDEBUG -DOPENSSL_THREADS -DOPENSSL_NO_STATIC_ENGINE -DOPENSSL_PIC -DOPENSSL_IA32_SSE2 -DOPENSSL_BN_ASM_MONT -DOPENSSL_BN_ASM_MONT5 -DOPENSSL_BN_ASM_GF2m -DSHA1_ASM -DSHA256_ASM -DSHA512_ASM -DRC4_ASM -DMD5_ASM -DAES_ASM -DVPAES_ASM -DBSAES_ASM -DGHASH_ASM -DECP_NISTZ256_ASM -DPADLOCK_ASM -DPOLY1305_ASM -DOPENSSLDIR=""/usr/lib/ssl"" -DENGINESDIR=""/usr/lib/x86_64-linux-gnu/engines-1.1""
OPENSSLDIR: "/usr/lib/ssl"
ENGINESDIR: "/usr/lib/x86_64-linux-gnu/engines-1.1"
 
Last edited:

akadi81

Verified User
Joined
Feb 26, 2015
Messages
23
It seems openssl version is too high. clamav, php5.3 to php5.5 not able to build...
In install instructions, Debian 9 is supported, but in fact..... i got errors.

Any ideea?
 

akadi81

Verified User
Joined
Feb 26, 2015
Messages
23
Yes... i can do that trick but the problem is that Debian 9 with default openSSL is not fully supported by directadmin.
php 5.3, php 5.4, php 5.5 cannot compile with default openssl in debian 9, probably there are many packages with this problem...
I made an upgrade from debian 8 to be up to date, and..... problems are not solved... it's not the case.

I will reinstall using centos 7, it seems to have the longest support period.
 
Top